package net.wanji.opt.po.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hfx
 * @date 2023/01/12 13:29:39
 * @desc 路口相位基础信息
 */
@Data
public class CrossPhasePO {

    @ApiModelProperty(name = "相位ID",notes = "")
    private Integer id;

    @ApiModelProperty(name = "相位号",notes = "")
    private String phaseNo;

    @ApiModelProperty(name = "相位名称",notes = "")
    private String name;

    @ApiModelProperty(name = "相位序号",notes = "")
    private Integer sort;

    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId;

    @ApiModelProperty(name = "方案ID",notes = "")
    private Integer schemeId;

    @ApiModelProperty(name = "环号",notes = "")
    private Integer ringNo;

    @ApiModelProperty(name = "组号",notes = "")
    private Integer groupNo;

    @ApiModelProperty(name = "相位类型：1实相位；2虚相位；3伴随相位",notes = "")
    private Integer type;

    @ApiModelProperty(name = "控制模式：1定周期；2绿灯；3黄灯；4红灯；5关灯；6绿闪；7黄闪；8红闪",notes = "")
    private Integer controlMode;

    @ApiModelProperty(name = "相位时间",notes = "")
    private Integer phaseTime;

    @ApiModelProperty(name = "绿灯时间",notes = "")
    private Integer greenTime;

    @ApiModelProperty(name = "绿闪时间",notes = "")
    private Integer greenFlashTime;

    @ApiModelProperty(name = "行闪时间",notes = "")
    private Integer pedFlashTime;

    @ApiModelProperty(name = "黄灯时间",notes = "")
    private Integer yellowTime;

    @ApiModelProperty(name = "红灯时间",notes = "")
    private Integer redTime;

    @ApiModelProperty(name = "最小绿灯时间",notes = "")
    private Integer minGreenTime;

    @ApiModelProperty(name = "最大绿灯时间",notes = "")
    private Integer maxGreenTime;

}
